import { http } from '@/utils/http/axios';

/**
 * @description: 列表
 */
export function getTableList(params?) {
  return http.request({
    url: '/generator/page',
    method: 'GET',
    params,
  });
}

/**
 * @description: 一键生成
 */
export function generator(data: any) {
  return http.request({
    url: '/generator/generator',
    method: 'POST',
    data,
  });
}

/**
 * @description: 批量删除
 */
export function batchGenerator(data: any) {
  return http.request({
    url: '/generator/batchGenerate',
    method: 'POST',
    data,
  });
}
